c++filt(1)

NAME
c++filt - C++ name demangler

SYNOPSIS
c++filt [-m] [-s] [-v] [-t]

DESCRIPTION
C++filt copies standard input to standard output after decoding tokens which look like C++ encoded symbols. Any combination of the following options may be used:

-m  Produce a symbol map on standard output. This map contains a list of the encoded names encountered and the corresponding decoded names. This output follows the filtered output.

-s  Produce a side-by-side decoding with each encoded symbol encountered in the input stream replaced by the decoded name followed by the original encoded name.

-v  Output a message giving information about the version of c++filt being used.

-t  Converts an inexplicable undefined symbol into a meaningful English error message.

SEE ALSO
CC(1), ld(1), nm(1).
Bjarne Stroustrup, The C++ Programming Language, Addison-Wesley 1986.